@echo off
REM
REM BEGIN COPYRIGHT
REM *************************************************************************
REM Licensed Materials - Property of IBM 
REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
REM (C) Copyright IBM Corporation 2012. All rights reserved. 
REM US Government Users Restricted Rights - Use, duplication, or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM *************************************************************************
REM END COPYRIGHT
   
REM --------------------------------------------------------------------------
REM Description:   Executes the db2cmd configProcessServerDB.bat scripts to create
REM the database for Process Server.
REM 
REM Usage: 
REM  configProcessServerDB.bat [createDB]
REM
REM Parameters:
REM 	createDB    - specify whether or not  to create a new database 
REM
REM Example:
REM 	configProcessServerDB.bat  createDB   //create a new database
REM 	configProcessServerDB.bat             // use an existing database
REM     
REM Note:
REM		Enter user name and password to get database connection first.
REM 	Run this script from its folder instead of a different folder.
REM       
REM Return Codes:  
REM		0 for success
REM --------------------------------------------------------------------------

setlocal

SET CUR_DIR=%cd%

%~d0
cd %~p0

set DB_CREATE=%1

REM ==========================================
REM DB_NAME will be replaced 
REM ==========================================
set DB_NAME=@DB_NAME@

REM ==========================================
REM DB_USER will be replaced 
REM ==========================================
set DB_USER=@DB_USER@


:INPUT_USERNAME
if "%DB_USER%"==""  (
  set /p DB_USER=Please enter username: 
  goto INPUT_USERNAME
)


db2cmd /w /c /i .\createDBTables_ProcessServer.bat %DB_USER% %DB_NAME% %DB_CREATE% 

if not %ERRORLEVEL%==0 (
	if %ERRORLEVEL%==8 (
		echo Make sure you have the administrative privilege.
		echo Run the command "runas /user:<administrator> cmd.exe" before running the script to get the administrative privilege.
	)
    goto PRINT_USAGE
) else (
    goto END 
)

:PRINT_USAGE

REM Print usage messages
echo.
echo ================================================================
echo Usage: configProcessServerDB.bat [createDB]
echo.
echo Parameters:
echo    createDB    - specify whether or not to create a new db 
echo Note:
echo     Make sure Database Environment set before executing the script
echo ================================================================

goto END

:END

cd /d "%CUR_DIR%"

endlocal

