-- BEGIN COPYRIGHT
-- *************************************************************************
-- Licensed Materials - Property of IBM 
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- (C) Copyright IBM Corporation 2010. All rights reserved. 
-- US Government Users Restricted Rights - Use, duplication, or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- *************************************************************************
-- END COPYRIGHT
--






@README@
-- This string was intentionally added to the the SQL file
-- as this script can not be executed directly.  The
-- Database Design Tool should be used to generated versions
-- of this script which can be executed successfully.  See
-- the Information Center for more information on using the
-- Database Design Tool
@README@








SET CURRENT SCHEMA = '@SCHEMA@';
/* START of phase ProcUpgradeTo801 */
    
			
ALTER  TABLE LSW_UCA 
ADD 
    "UCA_EVENT_TYPE_REF" DECIMAL(2,0)
;
ALTER  TABLE LSW_UCA 
ADD 
    "VARIABLE_REF" CHAR(36)
;
ALTER  TABLE LSW_UCA 
ADD 
    "IMPLEMENTATION_TYPE" VARCHAR(160)
;
CREATE TABLESPACE WLPZ6001
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_UCA_EVENT_TYPE (
    "UCA_EVENT_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.WLPZ6001
;
CREATE LOB TABLESPACE WLPZ6002
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_UCA_EVENT_TYPE3_LOB
    IN @DB_NAME@.WLPZ6002
    STORES BPM_UCA_EVENT_TYPE COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_UCA_EVENT_TYPE3_I
    ON BPM_UCA_EVENT_TYPE3_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE UNIQUE INDEX LSWC_UCA_EVENT_TYPE_PK
    ON BPM_UCA_EVENT_TYPE
    ("UCA_EVENT_TYPE_ID")
    USING STOGROUP @STOGRP@
;
ALTER TABLE BPM_UCA_EVENT_TYPE
    ADD CONSTRAINT LSWC_UCA_EVENT_TYPE_PK
    PRIMARY KEY(
       "UCA_EVENT_TYPE_ID")
;
CREATE INDEX LSWC_UCA_EVENT_TYPE_PK4
    ON BPM_UCA_EVENT_TYPE("NAME")
    USING STOGROUP @STOGRP@
;
INSERT INTO BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
    VALUES(0, '0', 'Timer')
;
INSERT INTO BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
    VALUES(1, '1', 'Message')
;
INSERT INTO BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
    VALUES(2, '2', 'Content')
;
						
ALTER  TABLE LSW_MANAGED_ASSET 
ADD 
    "IS_DOCUMENTATION_FILE" CHAR(1)
        DEFAULT 'F' NOT NULL
;
INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
    VALUES(8, '8', 'Connections Server')
                        
;
ALTER  TABLE BPM_COACHNG_BOUNDARY_EVENT 
ADD 
    "IS_VALIDATE_BOUNDARY_EVENT" CHAR(1)
        DEFAULT 'F'
;
ALTER  TABLE BPM_COACHNG_BOUNDARY_EVENT 
ADD 
    "FIRE_VALIDATION" DECIMAL(1,0)
        DEFAULT 0
;
CREATE TABLESPACE WLPZ3902
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_GOVERNANCE_EVENT (
    "EVENT_TYPE_ID" CHAR(36) NOT NULL,
    "EVENT_TYPE" DECIMAL(8,0) NOT NULL,
    "EVENT_TYPE_NAME" VARCHAR(396) NOT NULL,
    "GOV_DEFAULT_SNAPSHOT_ID" CHAR(36) NOT NULL,
    "GOV_DEFAULT_PROCESS_ID" CHAR(36) NOT NULL,
    "GOV_DEFAULT_PROCESS_TYPE" DECIMAL(8,0) NOT NULL
)
IN @DB_NAME@.WLPZ3902
;
CREATE TABLESPACE WLPZ3901
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_GOVERNANCE_ASSIGNMENT (
    "ASSIGNMENT_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "EVENT_TYPE_ID" CHAR(36) NOT NULL,
    "GOV_SNAPSHOT_ID" CHAR(36) NOT NULL,
    "GOV_PROCESS_ID" CHAR(36) NOT NULL,
    "GOV_PROCESS_TYPE" DECIMAL(8,0) NOT NULL,
    "ACTIVE" CHAR(1)
        DEFAULT 'T' NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ3901
;
CREATE UNIQUE INDEX BPM_GOV_DEFAULTS_PK
    ON BPM_GOVERNANCE_EVENT
    ("EVENT_TYPE_ID")
    USING STOGROUP @STOGRP@
;
ALTER TABLE BPM_GOVERNANCE_EVENT
    ADD CONSTRAINT BPM_GOV_DEFAULTS_PK
    PRIMARY KEY(
       "EVENT_TYPE_ID")
;
CREATE UNIQUE INDEX BPM_GOVERNANCE_ASSIGNMENT_PK
    ON BPM_GOVERNANCE_ASSIGNMENT
    ("ASSIGNMENT_ID")
    USING STOGROUP @STOGRP@
;
ALTER TABLE BPM_GOVERNANCE_ASSIGNMENT
    ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_PK
    PRIMARY KEY(
       "ASSIGNMENT_ID")
;
ALTER TABLE BPM_GOVERNANCE_ASSIGNMENT
    ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_FK1
	FOREIGN KEY("PROJECT_ID")
	REFERENCES LSW_PROJECT("PROJECT_ID")
	ON DELETE CASCADE
;
INSERT INTO BPM_GOVERNANCE_EVENT(EVENT_TYPE_ID, EVENT_TYPE,
    EVENT_TYPE_NAME, GOV_DEFAULT_SNAPSHOT_ID, GOV_DEFAULT_PROCESS_ID,
    GOV_DEFAULT_PROCESS_TYPE)
	VALUES('dbecd816-afed-47b0-ba92-c13256fcb568',
	0, 'Installation Requested',
	'8b0bdb20-6dd1-4357-945a-4cdf0cbd020d',
	'b0d87b96-5044-4390-b0f5-4ba05d63bc28', 25)
;
INSERT INTO BPM_GOVERNANCE_EVENT(EVENT_TYPE_ID, EVENT_TYPE,
    EVENT_TYPE_NAME, GOV_DEFAULT_SNAPSHOT_ID, GOV_DEFAULT_PROCESS_ID,
    GOV_DEFAULT_PROCESS_TYPE)
	VALUES('dbecd816-afed-47b0-ba92-c13256fcb569', 1,
	'Snapshot Status Change', '8b0bdb20-6dd1-4357-945a-4cdf0cbd020d',
	'291536f1-aa21-4650-8ac9-c62eaa3fa110', 25)
;
						
DROP TABLE LSW_ORG_CHART
;
CREATE TABLESPACE WLPZ7501
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_EVENT_SUBSCRIPTION (
    "EVENT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
    "EVENT_SUBSCRIPTION_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "SERVER_NAME" VARCHAR(512),
    "EVENT_CLASS" VARCHAR(512),
    "OBJECT_TYPE_ID" VARCHAR(512),
    "OBJECT_TYPE_ID_DISPLAY_NAME" VARCHAR(512),
    "EVENT_TYPE" VARCHAR(512),
    "INCLUDE_SUB_TYPE" CHAR(1)
        DEFAULT 'F',
    "PROCESS_REF" CHAR(36),
    "PARTICIPANT_REF" CHAR(36),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ7501
;
CREATE LOB TABLESPACE WLPZ7504
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_EVENT_SUBSCRIPTION12_LOB
    IN @DB_NAME@.WLPZ7504
    STORES BPM_EVENT_SUBSCRIPTION COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_EVENT_SUBSCRIPTION12_I
    ON BPM_EVENT_SUBSCRIPTION12_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE TABLESPACE WLPZ7502
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE BPM_EVENT_SUBSCRIPTION_TYPE (
    "EVENT_SUBSCRIPTION_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.WLPZ7502
;
CREATE LOB TABLESPACE WLPZ7503
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_EVENT_SUBSCRIPTION_TYPE3_LOB
    IN @DB_NAME@.WLPZ7503
    STORES BPM_EVENT_SUBSCRIPTION_TYPE COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX BPM_EVENT_SUBSCRIPTION_TYPE3_I
    ON BPM_EVENT_SUBSCRIPTION_TYPE3_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE UNIQUE INDEX BPM_EVENT_SUBSCRIPTION_PK
    ON BPM_EVENT_SUBSCRIPTION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@
;
ALTER TABLE BPM_EVENT_SUBSCRIPTION
    ADD CONSTRAINT BPM_EVENT_SUBSCRIPTION_PK
    PRIMARY KEY(
       "VERSION_ID")
;
CREATE UNIQUE INDEX LSWC_BPM_EVT_SUBN_TYPE_PK
    ON BPM_EVENT_SUBSCRIPTION_TYPE
    ("EVENT_SUBSCRIPTION_TYPE_ID")
    USING STOGROUP @STOGRP@
;
ALTER TABLE BPM_EVENT_SUBSCRIPTION_TYPE
    ADD CONSTRAINT LSWC_BPM_EVT_SUBN_TYPE_PK
    PRIMARY KEY(
       "EVENT_SUBSCRIPTION_TYPE_ID")
;
CREATE INDEX BPM_EVENT_SUBSCRIPTION_PK3
    ON BPM_EVENT_SUBSCRIPTION("GUID")
    USING STOGROUP @STOGRP@
;
CREATE INDEX BPM_EVENT_SUBSCRIPTION_PK4
    ON BPM_EVENT_SUBSCRIPTION("NAME")
    USING STOGROUP @STOGRP@
;
CREATE INDEX BPM_EVENT_SUBSCRIPTION_IDX1 
    ON BPM_EVENT_SUBSCRIPTION(
    "EVENT_SUBSCRIPTION_TYPE_ID",
    "EVENT_TYPE",
    "OBJECT_TYPE_ID",
    "INCLUDE_SUB_TYPE")
    USING STOGROUP @STOGRP@
;
CREATE INDEX LSWC_BPM_EVT_SUBN_TYPE_PK4
    ON BPM_EVENT_SUBSCRIPTION_TYPE("NAME")
    USING STOGROUP @STOGRP@
;
INSERT INTO BPM_EVENT_SUBSCRIPTION_TYPE
  (EVENT_SUBSCRIPTION_TYPE_ID,NAME,DESCRIPTION)
  VALUES(0, '0', 'ECM');
						
CREATE TABLESPACE WLPZ7505
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE LSW_STAY_ON_PAGE (
    "STAY_ON_PAGE_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ7505
;
CREATE UNIQUE INDEX BPM_STAY_ON_PAGE_PK
    ON LSW_STAY_ON_PAGE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@
;
ALTER TABLE LSW_STAY_ON_PAGE
    ADD CONSTRAINT BPM_STAY_ON_PAGE_PK
    PRIMARY KEY(
       "VERSION_ID")
;
CREATE INDEX BPM_STAY_ON_PAGE_PK3
    ON LSW_STAY_ON_PAGE("GUID")
    USING STOGROUP @STOGRP@
;
ALTER  TABLE LSW_BPD 
ADD 
    "TEMPLATE_ID" CHAR(36)
;
ALTER  TABLE LSW_BPD_PARAMETER 
ADD 
    "IS_READ_ONLY" CHAR(1)
        DEFAULT 'F'
;
ALTER  TABLE BPM_COACH_VIEW 
ADD 
    "VALIDATE_JS_FUNCTION" CLOB(2G)
;
CREATE LOB TABLESPACE WLPZ901
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE BPM_COACH_VIEW20_LOB
    IN @DB_NAME@.WLPZ901
    STORES BPM_COACH_VIEW COLUMN VALIDATE_JS_FUNCTION
;
CREATE UNIQUE INDEX BPM_COACH_VIEW20_I
    ON BPM_COACH_VIEW20_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE LSW_FAVORITE 
ADD 
    "CACHED_EVENT_SUB_VERSION_ID" CHAR(36)
;
ALTER  TABLE LSW_FAVORITE 
ADD 
    "EVENT_SOURCE_ID" VARCHAR(256)
;
INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
    VALUES(12, 4, 2066, 'dbecd816-afed-47b0-ba92-c13256fcb566', 5)
;
						
ALTER  TABLE BPM_COACH_VIEW 
ADD 
    "USE_URL_BINDING" CHAR(1)
        DEFAULT 'F'
;
ALTER TABLE LSW_BLUEPRINT_SUBSCRIPTION ADD "LAST_MODIFIED"
TIMESTAMP NOT NULL WITH DEFAULT
;
						
ALTER  TABLE LSW_BLUEPRINT_SUBSCRIPTION 
ADD 
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0)
        DEFAULT 1 NOT NULL
;
ALTER  TABLE LSW_WEB_SERVICE 
ADD 
    "TARGET_NAMESPACE" VARCHAR(1024)
;
ALTER  TABLE LSW_WEB_SERVICE 
ADD 
    "TARGET_NAMESPACE_SCHEME" VARCHAR(128)
;
ALTER  TABLE LSW_SNAPSHOT 
ADD 
    "TIP_DEPLOYMENT_IN_PROGRESS" CHAR(1)
        DEFAULT 'F'
;
ALTER  TABLE BPM_TASK_INDEX_JOB 
ADD 
    "INDEX_LAST_PURGE_TIME" TIMESTAMP
;
ALTER  TABLE BPM_COACH_VIEW_CONFIG_OPTION 
ADD 
    "GROUP_NAME" VARCHAR(128)
;
							COMMIT
							;
INSERT INTO LSW_SNAPSHOT (SNAPSHOT_ID, CREATED_BY_USER_ID, CREATED_ON,
   ACRONYM, BRANCH_ID, PROJECT_ID, SEQ_NUM, ORIG_CREATED_ON,
   LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID)
   VALUES ('29dbc7ff-aace-481a-ba72-be56c0180448', 1,
   TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
   '29dbc7ff-aace-481a-ba72-be56c0180448',
   '4961c615-3524-4196-90da-93c49d237009',
   '4b3882d9-e886-4f08-9d0c-078ebda719b9', 256,
   TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
   TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'), 1)
;
						
CREATE INDEX BPM_SHARED_OBJECT_IDX1 
    ON BPM_SHARED_OBJECT(
    "TASK_ID")
    USING STOGROUP @STOGRP@
;
INSERT INTO LSW_SNAPSHOT (SNAPSHOT_ID, CREATED_BY_USER_ID, CREATED_ON,
  ACRONYM, BRANCH_ID, PROJECT_ID, SEQ_NUM, ORIG_CREATED_ON,
  LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID)
  VALUES ('e01d46a5-6dc9-4545-9940-7e843777321d', 1,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  'e01d46a5-6dc9-4545-9940-7e843777321d',
  '50f91713-f1c4-4859-897f-89720db5dc3e',
  'b691179d-e7a4-4a27-b89b-f2263d0280e7', 256,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'), 1)
;
UPDATE LSW_BRANCH SET
 TIP_SNAPSHOT_ID='e01d46a5-6dc9-4545-9940-7e843777321d'
  WHERE BRANCH_ID='50f91713-f1c4-4859-897f-89720db5dc3e'
;
						
CREATE INDEX IDX6_SNAPSHOT 
    ON LSW_SNAPSHOT(
    "BRANCH_ID",
    "IS_ARCHIVED",
    "CREATED_ON")
    USING STOGROUP @STOGRP@
;
ALTER  TABLE BPM_TASK_INDEX 
ADD 
    "DELETED_DATETIME" TIMESTAMP
;
ALTER TABLE BPM_TASK_INDEX DROP CONSTRAINT BPM_TASK_INDEX_FK
                        
;
ALTER TABLE LSW_TASK ALTER COLUMN SHAREPOINT_DISCUSSION_URL
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_FAVORITE ALTER COLUMN NAME
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE LSW_SWITCH_CONDITION ALTER COLUMN CONDITION
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE BPM_COACH_VIEW_RESOURCE ALTER COLUMN IE_CONDITION
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE BPM_COACH_VIEW_RESOURCE ALTER COLUMN MEDIA_QUERY
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE BPM_COACH_VIEW_AMD_DEP ALTER COLUMN MODULE_ID
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE LSW_IC_INPUT_PROPERTY ALTER COLUMN KEY_VAL
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_IC_INPUT_PROPERTY ALTER COLUMN NAME
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE LSW_IC_INPUT_PROPERTY ALTER COLUMN CLASS_TYPE
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_UCA_PARM ALTER COLUMN PARM_VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_IC_OUTPUT_PROPERTY ALTER COLUMN KEY_VAL
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_IC_OUTPUT_PROPERTY ALTER COLUMN NAME
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE LSW_IC_OUTPUT_PROPERTY ALTER COLUMN CLASS_TYPE
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_LAUNCHER ALTER COLUMN CMD
  SET DATA TYPE VARCHAR(2000); 
ALTER TABLE LSW_BREAKPOINT ALTER COLUMN CONDITION
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_REPORT_VARIABLES ALTER COLUMN VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_REPORT_DS_LAYOUT_LINK ALTER COLUMN DEFAULT_VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_UCA_SYNC_QUEUE ALTER COLUMN DESCRIPTION
  SET DATA TYPE VARCHAR(900);
ALTER TABLE LSW_BPD_INSTANCE ALTER COLUMN INSTANCE_NAME
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_BPD_INSTANCE ALTER COLUMN SHAREPOINT_SITE_URL
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_EM_TASK ALTER COLUMN TASK_ARGUMENTS_STR
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_EM_TASK ALTER COLUMN REPEAT_STRING
 SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_PARTICIPANT ALTER COLUMN PARTICIPANT_DEFINITION
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_PARTICIPANT ALTER COLUMN IMAGE
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_HOLIDAY_SCHEDULE ALTER COLUMN HOLIDAY_LIST
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_TIME_PERIOD ALTER COLUMN EFFECTIVE_DAYS
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_GRP_GRP_MEM_EXPLODED_XREF ALTER COLUMN MEM_PATH
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_USR_ATTR ALTER COLUMN ATTR_VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_BPD_INSTANCE_DOCUMENTS ALTER COLUMN FILENAME
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_BPD_INSTANCE_DOC_PROPS ALTER COLUMN NAME
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_BPD_INSTANCE_DOC_PROPS ALTER COLUMN VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_INFOPATH_FORM ALTER COLUMN URL
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_BPD_DOCUMENTS ALTER COLUMN FILENAME
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_BPD_INSTANCE_VARIABLES ALTER COLUMN VARIABLE_NAME
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_BPD_INSTANCE_VARIABLES ALTER COLUMN ALIAS
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_BPD_INSTANCE_VARIABLES ALTER COLUMN STRING_VALUE
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE LSW_DYNAMIC_GROUP_CONSTRAINT ALTER COLUMN VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_SERVER ALTER COLUMN PROVIDER_URL
  SET DATA TYPE VARCHAR(1000);
ALTER TABLE LSW_PROJECT_DEFAULTS ALTER COLUMN DEFAULT_JS_REFS
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE LSW_PO_DEPENDENCY ALTER COLUMN SOURCE_LOCATION
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE BPM_CONTRIBUTION ALTER COLUMN FILENAME
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE BPM_CTRB_PROPERTY ALTER COLUMN PROP_VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE BPM_CTRB_DEPENDENCY ALTER COLUMN LIBRARY_NAME
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE BPM_ARTIFACT ALTER COLUMN FULL_PATH
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE BPM_SHARED_OBJECT_VALUE ALTER COLUMN FIELD_PATH
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE BPM_OSLC_PROVIDER ALTER COLUMN URL
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE BPM_TASK_ACTIVITY_MEASURES ALTER
  COLUMN CREATED_BY_BPD_FLOW_OBJECT_ID SET DATA TYPE VARCHAR(1024);
						
		
/* END of phase ProcUpgradeTo801 */
	
